﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Diagnostics;

namespace howto_division_multiplication_speed
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGo_Click(object sender, EventArgs e)
        {
            txtTimeMult.Clear();
            txtTimeDiv.Clear();
            txtTimeAdd.Clear();
            txtTimeSubtract.Clear();
            Cursor = Cursors.WaitCursor;

            Stopwatch watch = new Stopwatch();
            int num_trials = int.Parse(txtNumTrials.Text);
            float x = 13, y, z;

            y = 1 / 7f;
            watch.Start();
            for (int i = 0; i < num_trials; i++)
            {
                z = x * y;
            }
            watch.Stop();
            txtTimeMult.Text = watch.Elapsed.TotalSeconds.ToString("0.00") + " secs";

            y = 7f;
            watch.Reset();
            watch.Start();
            for (int i = 0; i < num_trials; i++)
            {
                z = x / y;
            }
            watch.Stop();
            txtTimeDiv.Text =watch.Elapsed.TotalSeconds.ToString("0.00") + " secs";

            watch.Reset();
            watch.Start();
            for (int i = 0; i < num_trials; i++)
            {
                z = x + y;
            }
            watch.Stop();
            txtTimeAdd.Text = watch.Elapsed.TotalSeconds.ToString("0.00") + " secs";

            watch.Reset();
            watch.Start();
            for (int i = 0; i < num_trials; i++)
            {
                z = x - y;
            }
            watch.Stop();
            txtTimeSubtract.Text = watch.Elapsed.TotalSeconds.ToString("0.00") + " secs";

            Cursor = Cursors.Default;
        }
    }
}
